Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractNoteDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractNoteDAO

public class ContractNoteDAO extends ContractDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.ContractDAO

  `ContractDAO.SearchOptions`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.ContractDAO

  `KERNEL_CONTRACT_API, KERNEL_CONTRACT_LIMIT`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractNoteDAO(User user, String billingId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int contractId, int id)`
  `ContractNote`
  `get(int contractId, int id)`
  `List<ContractNote>`
  `list(int contractId)`
  `void`
  `update(int contractId, int id, String title, String text)`
  `void`
  `update(int contractId, int id, String title, String text, boolean visible)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.ContractDAO

  `additionalActionList, addSearchResult, bgbillingOpenContract, bgbillingUpdateContractTitleAndComment, copyObjectParamsToContract, copyParametersToAllContracts, copyParametersToBilling, createContract, dateToUpdate, deleteLimitTask, executeAdditionalAction, faceLog, getContractById, getContractCard2Pdf, getContractCardDoc, getContractCardTypes, getContractFullCard, getContractInfo, getContractLabelTreeItemList, getContractStatisticPassword, getParameterList, groupsGet, limit, modeLog, moduleList, searchContractByAddressParam, searchContractByDateParam, searchContractByEmailParam, searchContractByObjectAddressParam, searchContractByPhoneParam, searchContractByTextParam, searchContractByTitleComment, updateContractDateTo, updateContractPassword, updateFace, updateLabels, updateLimit, updateMode, updateModule`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractNoteDAO

    public ContractNoteDAO(User user, String billingId)

- ## Method Details

  - ### list

    public List<ContractNote> list(int contractId)

  - ### get

    public ContractNote get(int contractId, int id)

  - ### update

    public void update(int contractId, int id, String title, String text)

  - ### update

    public void update(int contractId, int id, String title, String text, boolean visible)

  - ### delete

    public void delete(int contractId, int id)